commit a19b33c1b1491effec079700398461fd9fd78ac9
Author: freddy77 <freddy77>
Date:   Mon Sep 28 14:07:04 2009 +0000

    Fix SSL connection under mssql2k

diff --git a/ChangeLog b/ChangeLog
index 5207092..6472dd2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Sep 28 16:06:37 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/login.c: Fix SSL connection under mssql2k
+
 Mon Sep 14 12:02:10 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac src/dblib/unittests/common.c:
 	- limit stack use in dblib tests
@@ -1847,4 +1850,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2871 2009/09/14 10:02:13 freddy77 Exp $
+$Id: ChangeLog,v 1.2872 2009/09/28 14:07:04 freddy77 Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index cc49cf8..05be59a 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.188 2009/08/25 14:25:35 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.189 2009/09/28 14:07:04 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -976,6 +976,13 @@ tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 	assert(start_pos >= 21 && start_pos <= sizeof(buf));
 	assert(buf[start_pos-1] == 0xff);
 
+	/*
+	 * fix a problem with mssql2k which doesn't like
+	 * packet splitted during SSL handshake
+	 */
+	if (tds->env.block_size < 4096)
+		tds_realloc_socket(tds, 4096);
+
 	/* do prelogin */
 	tds->out_flag = TDS8_PRELOGIN;
 

